Skip to main content
GET
/
v1
/
external-apis
List External API Configurations
curl --request GET \
  --url https://api.bey.dev/v1/external-apis \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.bey.dev/v1/external-apis"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.bey.dev/v1/external-apis', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "url": "<string>",
      "type": "openai_compatible_llm"
    }
  ],
  "next_cursor": "<string>",
  "has_more": true
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

x-api-key
string
header
required

Your Beyond Presence API Key.

Query Parameters

limit
integer
default:10

Maximum number of objects to return.

Required range: x <= 50
cursor
string | null

Cursor for pagination.

Response

Paginated List of External API Configurations

data
OpenaiCompatibleLlmExternalApiResponse · object[]
required

List of objects.

next_cursor
string
required

The cursor for the next page of objects.

has_more
boolean
default:true

Whether there are more objects to fetch.